---
tags: tool, 3d printing, how-to
---

# Filament printers

[Ruby](/Ruby), [Garnet](/Tools#Garnet), and [Sapphire](/Tools#Sapphire) are our [filament](https://en.wikipedia.org/wiki/Fused_filament_fabrication) 3d printers.

We currently use SLA filament - please bring or replace filament as you can.

Below is a quick guide on printing with them.


## how to print

> download a model, slice the model, send that to the machine, and print

### first time setup

Install [superslicer](https://github.com/supermerill/SuperSlicer) on a computer

Download the latest [printer profile](https://gist.github.com/juliencherry/aa163ae7cbadbae0c6769afd5f9bd6c5) for each printer you plan on using. You may find updated/tuned profile .INI files on the page specific to the printer, i.e [/garnet](/garnet) [/ruby](/ruby), etc.

Open superslicer, skip all the printer vendor setup stuff when you open it.

Click `file` > `import` > `import config`, then choose the downloaded printer profile

### print a model

Download a 3d model from [printables](printables.com), [cults3d](cults3d.com), or [thingiverse](thingiverse.com)

Open superslicer, click `file` > `import` > `import STL/OBJ...`

`file` > `(re)slice`

In the bottom right corner, there will be a tiny "G" button (Send to printer)

Visit http://ruby.local or http://garnet.local or http://sapphire.local to monitor the print

## how to troubleshoot

#1 - check the matrix 3D-printing channel:

If you don't have a matrix/chat account:
http://chat.woodbine.nyc

If you do have a matrix chat account:
https://matrix.to/#/!PugAeNgDVWeGUgUMXM:woodbine.nyc

### clogged head

If no filament is extruding, you could have a clogged toolhead

1. shut down the printer from the web interface
2. flip the switch on the back to turn it off completely
3. wait until the fans stop spinning
4. use a hex tool to undo the fans on the toolhead
5. ...

### adding custom support structures
Supports are light-weight generated structures that are used during printing to support parts of a print that may not be strong enough to remain stable during the printing process. Supports can be automatically generated by Superslicer, but these automatically generated supports are placed only based on the overhang angle of the print. A thin tower at a small angle would not automatically produce supports, despite the fact that it will possibly wobble enough as it gains height such that it will ruin the print. Custom supports can be added by "painting" them on to a model"
https://www.youtube.com/watch?v=XFUfRVAm9ts