# Layout exploration report ~LP

## Common table
If we want to use a long common table, we have some limitations imposed by space, and considerations re: space usage.

### Common table width:
![](https://basement.woodbine.nyc/uploads/41ddb134-d71b-4936-950c-3d73a0ccf945.png)

Basically:
121" = [18"]+[space]+[table]+[space]

This accounts for the cement blocks at the base of the support poles.

Hard to say how much space would be good for having someone seated and still make it not totally annoying to pass behind them, or if that's necessary on both sides. Maybe it's easy to pass on one side (side with shelves?), and less easy on the opposite side.

Also not clear on how much depth is good for personal space. I'd say minimum 14", so 28" table width as a minimum.

Rolling chairs maybe take up more space, folding chairs less, benches minimal. Benches have the drawback of being benches, but could also be storage for rarely accessed stuff like first-aid, etc

### Common table length:

It's harder to establish a maximum length because it depends on placement of other items. In theory we could have probably fit ~225".

Pragmatically I think it's reasonable to just focus on having 10 people, 5 to a side.

"Family style" seating suggests 27" width per person, "formal dining" 30", and I think 35 is pretty good for laptop + little project space. Maybe worth considering sewing machines as another basis for layout spec.

### Common table summary

Plywood comes in 48x96, so 96", so seems like we'd need two abutting surfaces for even 4 people per side at a small 24" per person. Below is a basic idea for 5 person/side made from all wood. It shows off the issue with placement of supports and how it makes the table annoying for some people.

![](https://basement.woodbine.nyc/uploads/235d9d9e-60d7-44be-9e06-3f9d12615e75.png)

Quick sample of commercial leg offerings:
https://www.ikea.com/us/en/p/olov-leg-adjustable-black-30264301/
https://www.grainger.com/product/TENNSCO-Flared-Leg-Fixed-Ht-9EF33
https://www.grainger.com/product/TENNSCO-Adjustable-Straight-Leg-Adj-9CXD4
https://www.homedepot.com/p/Shop-Fox-28-in-D-Each-Plate-Steel-Workbench-Leg-D2659/317522079

### Working with what we've got

Seeing as the current tables being used as common table are designed for kids (https://vsamerica.com/), they should probably be repurposed as individual stations:
![](https://basement.woodbine.nyc/uploads/71bffb25-b8b8-408b-9b7b-14582a7a7b2b.jpg)

The larger tables currently used for sewing/solder would look something like this:
![](https://basement.woodbine.nyc/uploads/e3768cb9-51e9-4e66-847f-7bd78a0fe95d.png)

## 3D corner
Swapping the roasting and 3D benches maybe makes some sense:
![](https://basement.woodbine.nyc/uploads/da2eac3c-8d5e-4470-89c1-5fd9e7c740eb.png)

![](https://basement.woodbine.nyc/uploads/d0a83fcf-b918-4a86-a553-c8f7b4219ea2.png)

Creates a sorta weird spare space behind. The tubs could be for 3D specific supplies like parts, filament, and maybe spare ventilation stuff. Gives us a max of space for 4 printers, working or not.

Doesn't really address lots of micro-issues like tents, filament dryers, etc.

Doesn't address option of having a vented general purpose table, for stuff like paint finishing, resin casting, etc.

## Kitchen, project boxes, under-pipe shelving

![](https://basement.woodbine.nyc/uploads/e70a2f21-9395-4fe4-b5b7-678da540a489.png)


The blue cart was IMHO useful but temporary. It takes up a lot of space, is annoying to clean because of the lips on the surfaces, and is less adjustable than a simple set of wire shelves with a counter top, which would allow for easier cleaning and more flexible use like having a hotplate on a shelf underneath. Might be nice ala resistor to be able to make a pot of ramen and stay focused.

The chill area could hold deeper shelving, could be for projects or misc. storage.

14" deep shelving along pipe with overly tall posts could allow for making sorta panels to hide pipes and make space for signage or show projects, have monitors, etc. In some spaces could also allow for a top shelf. Would be a good size for a few sewing machines so they don't have to live on the desk permanently, but would be easy to remove/replace. I think ideally tables are multi-function based on what's stored nearby. Maybe some stuff should be permanently on-table, but not sure what.

![](https://basement.woodbine.nyc/uploads/df65618d-c596-4045-9d98-ad114101742d.png)

Big drain pipe should probably be insulated or make a trough under it to collect condensation.

Total cost for covering pipe wall with 14x48" shelving is ~$500

## Flatfiles
Flatfiles could be stored under ooza if it was reconfigured, but it means adios printer, and means that related ooza materials would have limited space. Would also take a bit of work.

![](https://basement.woodbine.nyc/uploads/7c560744-a2db-4b2b-b52e-4124eb949fbb.png)

## Woodshop relocation

The woodshop would lose 12" in width if moved up by one column set. It could be managed, but imagining that layout is beyond me right now. It's also concievable that it could be reversed "up-down", so cuts would feed towards the basement exit, but that's also a bit of work to imagine.

![](https://basement.woodbine.nyc/uploads/831b6397-271a-4cb4-b020-700a97d526b8.png)

It would give the woodshop roughly 120"x290" / 240 sq ft, for tools and supplies

![](https://basement.woodbine.nyc/uploads/a34a7493-3ab6-4f0e-bd96-800b34a06110.png)


Currently the woodshop proper occupies ~ 125"x200" / 175 sq ft for tools and jessies cabinet, with some supplies outside.

- Would give hackerspace a huge area, and maybe lots of flexibility, but unsure of the impact of the columns. Might be able to rotate a common table.
- Would be a lot of work, esp if we want to fix woodshop floor to hacker standards.
- Would require pinning down woodshop equipment placement with considerations for use
- Has implications for electrical runs.

![](https://basement.woodbine.nyc/uploads/ecc3e1b8-8cd8-4510-b375-b5abb983baf7.png)
