# Meeting 90 - reformation

## Attendees

Local - puck, llama, p, lp, haugf
Remote - jroast

## Agenda

### [Announcements (No discussion. Post-meeting breakout possible)](https://basement.woodbine.nyc/experiments#Currently-Running)

- Potentially someone interested in taking the batteries!
- Reservoir, the Woodbine periodical, is open for submissions and there is interest in getting Basement perspective
    - Proposal for personal are due tomorrow, Basement is open
- Hello Freddy! Interested and work in technology, community, happy to be here!

### Inside business

#### Agenda creation, meeting structure

LP:
I'd like to propose some new structure re: agendas and meetings.

#1 [Agenda stack](https://basement.woodbine.nyc/basement-meeting-agenda-stack) - A place to hold things that should be brought up or revisited. The page itself outlines how I propose it be used:

- Items added to stack
- Discussed via async chat, and *maybe* an on-line sunday meeting org session? Could also be something where items are signed off on like wikipedia sigs (~LP) and multiple sigs get stuff moved up, basically voting, bc the idea of meetings about meetings makes me feel a little sick.
- Agenda posted to diff channels Sunday night
- People can comment on agenda item before meeting, either notes for themselves, or statements in place of being at meeting. I've actually gone ahead and added that section below. Comments are intended to inform, or voice concerns. Strong objections or critical concerns should be made in person, or perhaps a way to request a tabling or postponing of topic.
- Items that are discussed can be pre-emptively placed on stack for review, like the effectiveness of a solution, or checking in on work updates. That's what's meant by "discussion, review, and evaluation." in the header of the stack page.

Beyond this, if we want to have a unified basement, it's important to recognize that stuff like general space planning might impact sewing, screen-printing, woodshop, hackers - whereas server talk primarily impacts hackers. If we want collaboration across all of basement, we need to respect the time of people involved in different projects.

Decision points:
- Use of a stack page
    - Escalation of items on stack page
        - Async discussion
        - Signing off (voting with no determination of "membership")
        - Other suggested system?
- Advance posting of agenda
    - 3 days? (Sunday)
    - To what channels?
        - Matrix
        - Hello World Signal?
        - Hedgedoc Meeting page
        - ~~Should there be broader WB meeting announce channels~~ We can't really address this.
    - Use of a comments section
        - Limits on or nature of comment participation
        - Template text blurb clarifying purpose
        - Option to push for delaying topic
    - Create system for decision or task reviews
        - Pre-place agenda items weeks or months out?
        - Place items on a "Review stack"?
        - Other means?
~~Desire to pursue greater basement collaboration?~~
~~What points are subject to future review?~~


### Decisions

* Agenda items are proposals with fleshed out language
* Use of a stack page with agenda creation & posting is approved
    * Kicking off the discussion
    * Curating / deciding what's on it if needed
    * Sending the announcements on Sunday
* Rotating monthly bottom-line facilitator is approved
    * @p is our first one
* We will break out an ad-hoc meeting on finances
    * @puck will break out a finance meeting
* We will find a spreadsheet tool and start there
    * @llama will own the sheet

### Notes

llama: need a way to push stuff up the stack
puck: should we have some kind of facilitator?
jroast: don't think we need to manage it, maybe just a reminder. also, we need some kind of task management.
lp: it has to be managed because people will just throw stuff on for later, could be 100+ items.
jroast: if we end up with 100+ things, then we've done something wrong.
p: per meeting vs todo list?
lp: fundamental concept: i don't want to show up blind to meetings if i don't need to be there. we've driven people off this way before.
puck: i want us to be focused and drive for outcomes. we make these decisions, get reports backs, etc. also for people to read the agenda and think about things beforehand.
jroast: cut out the social aspects, discuss things that are more substantial. let's not overthink the stack management to begin.
llama: the beginning of the meeting was to meet regularly to create a community, having the ritual helps build that. if we're changing that, what do we think? if we're focused on admin stuff, what does that do for our group dynamics?
lp: the ritual meeting is painful because they have become reenforcements of an "inner" group. want to support interdisciplinary culture as a space rather than just the hackers which currently feels elitist. would rather have "hacker dinner" separated out.
llama: there are different visions for how the space is accessible and used.

**Lots of Discussion Around How Some Things Can Be Resolved Within Groups and Other Things Should Come to the Broader Group of Invested People.**

lp: having an agenda surfacing process will allow different aspects of organization to emerge

**Finances**

puck: we need to set up some basic financial structure. a group will manage the money from an accountant standpoint and figure out the mechanisms.
lp: maybe we put this on the stack or have an adhoc meeting about it
jroast: would love a way to pay the basement, ideally it has a bank account

**Project Management**

jroast: important to have a wiki for general knowledge but we need to have a lightweight task tracker for people be able to see what we're currently working on
lp: am afraid of yak shaving on this, my main concern is that we suck at gathering requirements and things drop off people's radar. most important thing is i want a persistent place we can track things. could be spreadsheet.
haughf: spreadsheets can also be confusing
lp: i don't care what we do but want absolutely anything
jroast: problem is we are currently bus-factored on tech support. it doesn't have a great flow for adding people in, requires some tribal knowledge, search is broken, etc. isn't design for project management. at minimum we should start with a spreadsheet.
lp: i'm not aiming for project management. for right now i want us to take account of our goals.

##### Comments
Puck:
Inform, decide, review

Finance: monthly inform
Responsible for money collection and record keeping
Distribution decisions should be made by group

30 mins or 1hr meetings
Timeboxed items, if discussion exceeds, moved to separate discussion among individuals, with goal of a return to general meeting to: inform, decide, review


#### Task management

LP: I'd propose *some* form of task tracking. Notes pages have not worked. Stuff gets discussed at meetings and drops off. It could be as simple as a hedgedoc page: [Sample](https://basement.woodbine.nyc/tasks#) but could also be Trello or similar. As with many things, should pose as little a technical barrier as possible, we may be a hackerspace, but if we use tools with barriers to participation, we will exclude people and silo control to those who are more readily capable, and increase our onboarding, documentation, and tech support needs.

Even Trello is going to be confusing for some people.

If using hedgedoc/wiki, I'd consider breaking into pages based on scope of work (e.g. community/space/tool categories/events). Aside: A move to mediawiki for watchlist notificaitons would help make it functional.

Bottom line is we don't need anything superpowerful, it just needs to make existing needs more visible than as agenda note items. Having items persist for months and years is not sustainable.

Decision points:
- Collective desire for task and project tracking
- Tool for tracking
    - Hedgedoc
        - Unified
        - Unified w/sections (TBD)
        - Broken out
    - Trello (structure TBD)
    - Piloting Discord
    - Other suggested system?

##### Comments

### Outside business

#### Item

#### Item

