# Basement onboarding
## Important note about Woodbine hosted software
Woodbine currently uses two "self-hosted" tools for communication.
Self-hosting means that we control the servers and the software, without any big tech companies.
We've made it possible to use all woodbine software with one username and one password. The easiest way to begin using Woodbine-hosted software is to create an account [here](https://basement.woodbine.nyc/auth/oauth2). That login can then be used to create/edit pages, and **also** will give access to our chat platform Matrix.


On this page:
- [List of Communication Tools](https://basement.woodbine.nyc/#Communication-tools)
- [Help Joining Signal Groups](https://basement.woodbine.nyc/onboarding?view#Joining-signal-groups)
- [Help Joining & Using Matrix (iOS)](https://basement.woodbine.nyc/onboarding?view#Joining-and-navigating-Basement-Matrix-space-iOS)
- [Help Using Our Document and Notes Storage Software, HedgeDoc](https://basement.woodbine.nyc/onboarding?view#Document-and-Notes-Storage)


## Communication tools
| <a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a>|<a style="color: mediumblue; font-size: 20px; font-weight:bold">Basement Communication Tools</p>|<a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a>|
| -------- | -------- | -------- |
|![](https://basement.woodbine.nyc/uploads/87a15628-11fe-4cbd-99e6-2dc8a185de9e.png)|Signal chat: Ask a question, offer a donation, connect & get involved. Few messages, occasional updates on basement projects. (Use your standard camera for this code, signal doesn't like to join groups via the "scan" option inside of Signal. **Hosted & managed by Signal.**|![](https://basement.woodbine.nyc/uploads/82c6c58e-7850-41d4-869d-1d37d7a0e4b6.png)|
| ![](https://basement.woodbine.nyc/uploads/e7dd47f6-dff1-43d9-aabf-179358fdeb0b.png)| Element / Matrix: Discussion groups for various projects: 3D printing, woodshop, sewing, screenprinting, class and event planning, digital and physical infrastructure, and more. **Hosted & managed by Woodbine.** | ![](https://basement.woodbine.nyc/uploads/0b1b975b-d684-4850-8667-7aea03208f0d.png)|
| ![](https://basement.woodbine.nyc/uploads/d0cd0f54-524e-4a46-a1a3-0cfc3a43d323.png)| HedgeDoc: Used to make web pages like the one you're reading. Also useful for organizing notes, research, and documentation. **Hosted & managed by Woodbine.** | [basement.woodbine.nyc](basement.woodbine.nyc)|
|<a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a> | <a style="color: mediumblue; font-size: 20px; font-weight:bold">Applications We Use</a>|<a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a>
|![](https://basement.woodbine.nyc/uploads/87a15628-11fe-4cbd-99e6-2dc8a185de9e.png)|Signal.  Fairly simple to set up and use.| Available in [Apple](https://apps.apple.com/us/app/signal-private-messenger/id874139669) / [Google](https://play.google.com/store/apps/details?id=org.thoughtcrime.securesms) app stores.
|![](https://basement.woodbine.nyc/uploads/e7dd47f6-dff1-43d9-aabf-179358fdeb0b.png)|Element Messenger client for [Matrix protocol](https://en.wikipedia.org/wiki/Matrix_(communication_protocol)). | Available in [Apple](https://apps.apple.com/us/app/element-messenger/id1083446067) / [Google](https://play.google.com/store/apps/details?id=im.vector.app&hl=en_US), and [F-droid](https://f-droid.org/packages/im.vector.app/) app stores. |
| ![](https://basement.woodbine.nyc/uploads/d0cd0f54-524e-4a46-a1a3-0cfc3a43d323.png)|HedgeDoc runs on our servers, no need to download anything | No download needed. Our HedgeDoc [help page is here](https://basement.woodbine.nyc/hedgedoc-help#).
| |If you're having issues installing or using any communications applications, please come to a Saturday or Sunday event and someone will try and help get it working. | 

### Joining signal groups
The public signal chat can be joined by pointing your basic phone camera at the QR code. (You cannot use QR codes to join groups with the Signal camera scanner mode.)

Matrix information is below, or you can attend an event and ask a hacker to help you.

### Joining and navigating Basement Matrix space (iOS)

Instructions for joining and navigating Matrix can be found here: https://basement.woodbine.nyc/onboarding-matrix

Android is similar, but a little simpler.

### Document and Notes Storage

Basement has set up software (called [HedgeDoc](https://hedgedoc.org/)) that allows us to store our own documents (You're looking at it). It has some limitations, but:
- Allows you to interact with woodbine without using Google services
    - Less tracking
    - Reduced risk of services being erroniously turned off
    - Introduces people to a less Googley existence
- Is less designed for fancy document layout
- Is more designed for storing structured information, more like a normal well-designed web-page, or notebook.

It's probably just easiest to generally call it our "Wiki," kinda like Wikipedia.

To learn the basics of how to use it, see the [hedgedoc help page](/hedgedoc-help).

## Basement Activities

|<a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a>|<a style="color: mediumblue; font-size: 20px; font-weight:bold">Basement Activities</a> |<a style="color: mediumblue; font-size: 20px; font-weight:bold">◍◍◍</a>
| -------- | -------- | -------- |
|(Some) Wednesdays 7-8pm|Organizational meetings, in space and on Element video chat. Check [Meetings](https://basement.woodbine.nyc/meeting-notes#) page for upcoming agendas.|[#Meeting channel](https://matrix.to/#/#meeting:woodbine.nyc) |
|(Some) Saturday afternoons, 12ish-5ish| Hack and make and hangout in space. Bring a project, bring snacks, bring curiosity.|Check in "Hello World" Signal (see above) chat to see if people will be around.|
|Sunday Dinners (7pm weekly)|There’s almost always a few people at dinner who are involved with basement projects. Come say hi and talk about whatever while we eat and hangout|These are every week, except for in case of natural disasters or such.
